Subject: Re: bug#2825: 23.0.91; initial-buffer-choice useless with emacs daemon

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 11 Apr 2009 16:34:58 -0700 (PDT)

Stefan Monnier <[email-masked]> writes:

  > >> > the new variable initial-buffer-choice seems useless when using emacs
  > >> > as a daemon and emacsclient. This variable probably sets the initial
  > >> > frame of the daemon, but does not affect the emacs clients. The buffer
  > >> > is opened but not visible, the *scratch* buffer is opened instead.
  > >> 
  > >> Currently, server-create-tty-frame and server-create-window-system-frame
  > >> are hardcoded to display *scratch* if no emacsclient argument is given.
  > >> In bug #2825, Damien Cassou has argued that they should obey
  > >> initial-buffer-choice.
  > >> 
  > >> Are there any objections?
  > 
  > > Showing the startup screen every time when connecting to the server can
  > > be seriously annoying for the user.
  > 
  > I'm not sure what you mean by "the startup screen", but if a user
  > prefers to start with a (dired "~/") than with *scratch*, I can't think
  > of a good reason why we should disregard this preference when connecting
  > via the emacsclient.

The startup screen is what `display-startup-screen' displays. 
And that's my point too, *scratch* is a fine choice for now.